<?xml version="1.0"?>
<metadata
  xmlns="http://www.citrix.com/AppReceiver"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.citrix.com/AppReceiver MetaData.xsd">

  <!-- This GUID is not related to MSI product code --> 
  <plugin product="A9852000-047D-11DD-95FF-0800200C9A66" 
  productName="Online plug-in">

  <platforms>XP XP64 Vista Vista64 2K3 2K364 WS08 WS08_64 Win7 Win764</platforms>

  <!-- Released Version of Plugin (Installer) -->
  <version>12.0.3.6</version>

   <!-- URL to EULA tex-->
   <EULAlocation>http://www.citrix.com/Client_EULA</EULAlocation>
    
    <!-- Installer Filename -->
  <installerFilename>CitrixOnlinePluginFull.exe</installerFilename>

  <!-- Is this plugin a fully fledged, product level 'plugin'   -->
  <fullPlugin>true</fullPlugin>
  
  <!--This element is used to help prevent clutter in the CR admin console: only showing UI to control advanced menu display if this flag is set.-->
  <pluginSupportsAdvancedMenuOptions>true</pluginSupportsAdvancedMenuOptions>

  <!-- Install string & Attributes -->
  <autoInstall reboot="false">
	<command>$INSTALLERFILENAME $SILENTSWITCH $PARAMETERS</command>
	<commandParameters>ENABLE_SSON=Yes SERVER_LOCATION=$ServerLoc DONOTSTARTCC=1</commandParameters>
	<silentSwitch>/silent</silentSwitch>
	<startAfterInstall>true</startAfterInstall>
	<autoStart>
		<startupMenu>Online plug-in.lnk</startupMenu>
	</autoStart>
	<autoStart>
          <startupRunKey>ConnectionCenter</startupRunKey>
	</autoStart>
  </autoInstall>

		<!-- Uninstall string & Attributes -->
		<autoUninstall reboot="false">
			<command></command>
			<silentSwitch>/silent</silentSwitch>
		</autoUninstall>


  <!-- Upgrade string & Attributes -->
  <autoUpgrade reboot="false" canUpgradeWhilePluginRunning="false" >
	<command>$INSTALLERFILENAME $SILENTSWITCH $PARAMETERS</command>
        <commandParameters>ENABLE_SSON=Yes SERVER_LOCATION=$ServerLoc DONOTSTARTCC=1</commandParameters>
	<silentSwitch>/silent</silentSwitch>
	<startAfterInstall>true</startAfterInstall>
	<autoStart>
		<startupMenu>Online plug-in.lnk</startupMenu>
	</autoStart>
	<autoStart>
          <startupRunKey>ConnectionCenter</startupRunKey>
	</autoStart>
        <lessSilentSwitch></lessSilentSwitch>
  </autoUpgrade>

  <!-- Is this refering to admin privileges are prefered over standard user -->
  <adminOptions>prefer</adminOptions>

  <!-- Admin console GUI generating information -->
 <installerOptGUI>
     <config varname="ServerLoc">
         <InstallerOpt language="en">
           <description>Address of the XenApp Server hosting the XenApp Services (servername or https://servername) </description>
        </InstallerOpt>
     </config>
 </installerOptGUI>

  <!-- Informed Consent / Plugin Description  -->
  <pluginDescriptions>
    <descriptions language="en" >
      <description>Online plug-in integrates hosted applications into your desktop.
      </description>
      <shortdescription>Online plug-in for accessing hosted applications.</shortdescription>
    </descriptions>
  </pluginDescriptions>

  <!-- List of Languages the plugin supports  -->
		<pluginLanguages> en de fr ja es ru zh-cn zh-tw </pluginLanguages>

  <!-- Rules use to detect currently installed version of plugin - see AR Client SDK doc for more details  -->
  <detectCurrentVersionRulesList>
    <detectRule>REG:HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\CitrixOnlinePluginFull\DisplayVersion</detectRule>
  </detectCurrentVersionRulesList>

  <!-- There are no other plugins on which this plugin depends at run time-->

  <!-- URL to README file -->
  <READMElocation>http://support.citrix.com/proddocs/index.jsp?topic=/online-plugin/onl-plugin11-2.html</READMElocation>


  </plugin>

</metadata>

